GEARMAN_ALLOCATOR_T(3)

NAME
gearman_allocator_t - Gearmand Documentation, http://gearman.info/

SYNOPSIS

#include <libgearman/gearman.h>

type gearman_allocator_t

type gearman_malloc_fn

type gearman_free_fn

type gearman_realloc_fn

type gearman_calloc_fn

gearman_return_t gearman_client_set_memory_allocators(gearman_client_st*, gearman_malloc_fn *malloc_fn, gearman_free_fn *free_fn, gearman_realloc_fn *realloc_fn, gearman_calloc_fn *calloc_fn, void *context)

gearman_return_t gearman_worker_set_memory_allocators(gearman_worker_st*, gearman_malloc_fn *malloc_fn, gearman_free_fn *free_fn, gearman_realloc_fn *realloc_fn, gearman_calloc_fn *calloc_fn, void *context)

    Link to -lgearman

DESCRIPTION

Install callbacks for custom allocation.

Normally malloc(3) and free(3) are used for allocation and releasing workloads. You can use gearman_client_set_memory_allocators() and gearman_worker_set_memory_allocators() to set your own custom allocators.

RETURN VALUE

None

SEE ALSO: gearmand(8) libgearman(3) gearman_client_st(3)

AUTHOR
Data Differential http://www.datadifferential.com/

COPYRIGHT
2011-2014, Data Differential, http://www.datadifferential.com/